Description

Context: how to use IEC 61850 for DER and microgrids (IEC 61850-90-23 CD1).

Schedules may be used as means of providing setpoint values in advance of the desired time, for example for active power limiting.
In such cases, regular time intervals are not always appropriate, especially under emergency conditions.

It is possible to model an irregular schedule with a set of FSCH logical nodes, each of which has an appropriate start time, but only
one value.

It would be more efficient to allow a schedule to define a series of { time intervals, values }

Proposal descriptions

After discussion in the group - general conclusion is that there is a need of additional examples (to be defined in 7-500) that will
explain all possible usage of existing Scheduling mechanisms.

If these exercises introduce a need for a extension/change - it will be discussed in 7-500 TF.

Examples from WG17 could be used as a use-cases.

Related issues:
Copied to 61850-7-5 and 61850-7-500 - IEC61850-7-5 #6406: Schedules - add opt... New 03/02/2022 09/02/2022

History

#1 - 03/02/2022 06:39 AM - Tom Berry
- Standard(s) set to IEC 61850-7-4,7-5

#2 - 03/15/2022 10:22 AM - Carlos Rodriguez del Castillo
- Due date set to 09/02/2022

- Category set to Standard extension required

- Status changed from New to Triage

-IDsetto 2

- TF Unique ID set to 2 # WG17

#3 - 03/15/2022 10:24 AM - Carlos Rodriguez del Castillo

We need more information due to the complexity of the issue.

#4 - 04/05/2022 12:03 PM - Tom Berry

For example, a single schedule where the time intervals are different

NumEntr =5
Time1 =01:00 ValING1 = 1000
Time2 = 06:25 ValING2 = 800
Time3 = 09:05 ValING3 = 700
Time4 =12:20 VallING4 = 500
Time5 = 13:00 ValING5 = 1000

To do this with the present model requires 5 instances of FSCH

#5 - 04/12/2022 08:57 AM - Vladan Cvejic

- Category changed from Standard extension required to Standard clarification required
- Status changed from Triage to Resolved

- % Done changed from 0 to 100

- Proposal descriptions updated

#6 - 04/12/2022 09:12 AM - Vladan Cvejic

- Proposal descriptions updated

#7 - 09/30/2022 02:03 AM - Tom Berry
Discussed in WG10 Meeting September 2022
WG17 to provide example of using multiple schedules for inclusion in part 7-5

This technique means an IED could have 100s of schedules - it may be appropriate to propose a naming convention and/or a means of using nested
logical devices.

#8 - 05/09/2023 09:32 AM - Carlos Rodriguez del Castillo

- Needs More Information set to No

#9 - 05/09/2023 09:33 AM - Carlos Rodriguez del Castillo

- Discuss in Upcoming Meeting changed from No to Yes

#10 - 06/05/2023 01:58 AM - Carlos Rodriguez del Castillo

- Discuss in Upcoming Meeting changed from Yes to No

#11 - 06/20/2023 08:36 AM - Vladan Cvejic
- Copied to IEC61850-7-5 #6406: Schedules - add optional data objects to support irregular interval schedules added
